# $Progeny: Makefile.in 3839 2003-11-17 04:25:01Z dsp $

SUBDIR=			discover

all:
	@${MAKE} __recur TARGET=$@

check test: all
	@cd tests && ${MAKE} check

###############################################################################
# Clean

distclean_FILES=	Makefile

clean:
	@${MAKE} __recur TARGET=$@

distclean:
	@${MAKE} __recur TARGET=$@
	rm -rf ${distclean_FILES}

maintainer-clean:
	@${MAKE} __recur TARGET=$@
	rm -rf ${distclean_FILES}

###############################################################################
# Installation

install:
	@${MAKE} __recur TARGET=$@

uninstall:
	@${MAKE} __recur TARGET=$@

###############################################################################
# Distribution

DISTFILES=		Makefile.in

distdir: ${DISTFILES}
	${top_srcdir}/buildtools/distdir ${distdir}/${_THISDIR_} ${DISTFILES}
	@${MAKE} __recur TARGET=$@
